GET /v2.0/data/contacts
neotomadb.org:neotoma-database-api
Operation ID: —
Auth: unknown
Description
Returns researcher contact information associated with a record.
Parameters (6)
(integer, query, optional)
Unique contact identifier within the Neotoma Database, alone or comma separated.
Constraints: {'minimum': 1, 'maximum': 21000}
(string, query, optional)
Full name of the researcher using the "Last, Given Name(s)" structure. You may use the % wildcard anywhere in the string.
Constraints: {'pattern': "^[-'a-zA-ZÀ-ÖØ-öø-ÿ, ]+$"}
(string, query, optional)
Current employment status
Constraints: {'enum': ['active', 'deceased', 'defunct', 'extant', 'inactive', 'retired', 'unknown']}
(string, query, optional)
Family name (last name) of the the researcher (may use the % wildcard).
Constraints: {'pattern': "^[-'a-zA-ZÀ-ÖØ-öø-ÿ% ]+$"}
(integer, query, optional, default: 25)
The maximum number of records to be returned, default is 25.
Constraints: {'minimum': 1, 'maximum': 10000}
(integer, query, optional, default: 0)
The offset for returned records when a limit is present. Default is 0.
Constraints: {'minimum': 0}
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| Search contacts by family name with wildcard | curl |
https://api.neotomadb.org/v2.0/data/contacts?familyname=Smith% |
|
| Get specific contact by ID | curl |
https://api.neotomadb.org/v2.0/data/contacts?contactid=1 |
|
| Search by contact name with pagination | curl |
https://api.neotomadb.org/v2.0/data/contacts?contactname=%Johnson%&limit=10&offset=0 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 11:23:54.328928 | 200 | 623ms | |
| 2026-03-23 11:00:20.504882 | 200 | 594ms | |
| 2026-03-23 10:12:41.390308 | 200 | 571ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 11:00:20.504882 | ba9a5e8d64c4 |
5b5f938c488e |
| 2026-03-23 11:23:54.328928 | 5b5f938c488e |
c131523cf4ec |